import { Density } from "@fremtind/jkl-core";
import React from "react";
import type { YearsToShow } from "../types";
import { UseCalendarProps } from "./useCalendar";
interface CalendarProps extends Omit<UseCalendarProps, "date" | "onOffsetChanged" | "offset" | "firstDayOfWeek" | "selected"> {
    date: Date | null;
    density?: Density;
    defaultSelected?: Date;
    days?: string[];
    months?: string[];
    monthLabel?: string;
    yearLabel?: string;
    yearsToShow?: YearsToShow;
    onTabOutside: React.KeyboardEventHandler;
}
export declare const Calendar: React.ForwardRefExoticComponent<CalendarProps & React.RefAttributes<HTMLDivElement>>;
export {};
